Skip to main content
PATCH
For Banking, updates to user properties including external_metadata.open_banking.end_user will be reflected in future banking reports.Setting a field to null or an empty string will update the Argyle user object but may cause future banking reports to continue to display the previous value.

Authorizations

Authorization
string
header
required

Username = api_key_id, Password = api_key_secret

Path Parameters

id
string<uuid>
required

ID of the user object to be updated.

Body

application/json
first_name
string

Pre-fill Link's login screen with this first name.

last_name
string

Pre-fill Link's login screen with this last name.

email
string

Pre-fill Link's login screen with this email.

Invalid email addresses will cause the request to fail.

phone_number
string

Pre-fill Link's login screen with this phone number.

E.164 international format recommended. Invalid phone numbers will cause the request to fail.

ssn
string

Social Security number.

address
object
birth_date
object
external_metadata
object

Any valid JSON.

The provided values are merged with the user's existing external metadata.

Must be an object {} when used for banking reports.

external_id
string

Any string. Maximum 100 characters.

Response

200 - application/json
id
string<uuid>

Unique ID of the user.

Example:

"018051aa-f7a9-a0db-2f38-6cfa325e9d69"

created_at
string<date-time>

Timestamp (ISO 8601) when the user object was created.

Example:

"2023-01-30T22:25:38.971Z"

items_connected
string[]

Items the user has connected through Link. Typically employers or payroll platforms.

Example:
employers_connected
string[]

Individual employers associated with the connected Items.

Example:
external_metadata
object

Free-text field where additional context for the user can be added.

  • Can be any valid JSON, such as a string or object.

Note: Using external_id (see below) is recommended when the ability to filter users by an external value is needed.

Example:
external_id
string

Free-text field where additional context for the user can be added.

  • Can be any string of 100 characters or less.
  • Multiple users can have the same external_id.

Often used to group users, or associate your internal ID's to users.

  • Can be attached to invites or shareable URLs.
  • Can be used as a query parameter when listing users. (Only exact matches are supported)
  • Can be used to search for specific users within the Connections section of Console.
  • Will appear on billing CSVs if associated with a user.
Example:

"July_Connection"

first_name
string

First name of the user.

Example:

"Sarah"

last_name
string

Last name of the user.

Example:

"Longfield"

email
string

Email of the user.

Example:

"sarah@email.com"

phone_number
string

Phone number of the user. E.164 international format.

Example:

"+12125555555"

ssn
string

Social Security number of the user.

Example:

"522-09-1191"

address
object

Address of the user.

birth_date
object

Date of birth of the user.